module SimulatedFunctions

export my_func1, my_func2

function my_func1(t; f1=0.05, f2=0.3)
    res = 2 * cos(2π * f1 * t) +  sin(2π * f2 * t) 
    return res
end

function my_func2(x)
    grp = ceil.(Int, x ./ 100)
    group = sort(unique(grp))
    n = length(group)
    f1 = randn(n) .* 0.01 .+ 0.05
    f2 = randn(n) .* 0.1 .+ 0.3
    res = fill(0.0, length(x))
    for i in 1:length(x)
        j = ceil(Int, i /100)
        res[i] = 2 * cos(2π * f1[j] * i) + sin(2π * f2[j] * i)
    end
    return res
end
end

